<?php
// Copyright 1999-2016. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<div class="tools-list-box">
    <div class="box-area">
        <div class="content">
            <div class="content-area">
                <ul class="tools-list">
                    <?php foreach($this->buttons as $button): ?>
                        <li class="tools-item">
                            <a
                                href="<?php echo $this->escape($button['href']); ?>"
                                class="tool-block <?php echo isset($button['selector']) && !$button['selector'] ? '' : 'js-selector'; ?>"
                                <?php echo isset($button['target']) ? ("target='" . $this->escape($button['target']) . "'") : ''; ?>
                                <?php echo isset($button['subscriptions']) ? ('data-subscriptions="' . $this->escape(Zend_Json::encode($button['subscriptions'])) . '"') : ''; ?>
                                <?php echo isset($button['id']) ? ('data-identity="' . $button['id'] . '"') : ''; ?>
                                <?php echo isset($button['target']) && $button['target'] == '_blank' ? 'rel="noopener noreferrer"' : ''; ?>
                            >
                                <span class="tool-icon"><img src="<?php echo $this->escape($button['icon']) ?>" alt=""></span>
                                <span class="tool-name">
                                    <?php if (isset($button['attention']) && $button['attention']) : ?>
                                        <span class="hint-attention"><?php echo $this->escape($button['title']); ?></span>
                                    <?php else: ?>
                                        <?php echo $this->escape($button['title']); ?>
                                    <?php endif; ?>
                                    <?php if (isset($button['new']) && $button['new']): ?>
                                        <span class="badge-new"><?php echo $this->lmsg('components.buttons.badgeNew') ?></span>
                                    <?php endif; ?>
                                </span>
                            </a>
                            <?php if (isset($button['comment'])) : ?>
                                <span class="tooltipData"><?php echo $this->escape($button['comment']) ?></span>
                            <?php endif; ?>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
//<![CDATA[

Jsw.onReady(function() {
    $$('.tools-item .js-selector').each(function(element) {
        $(element).observe('click', function(event) {
            var returnUrl = $(element).getAttribute('href');
            var target = $(element).getAttribute('target');

            if ('_blank' == target || returnUrl.startsWith('http')) {
                return;
            }

            event.preventDefault();
            Smb.webspaceSelector(
                $(element).getAttribute('data-subscriptions').evalJSON(),
                $(element).innerHTML.stripTags(),
                <?php echo Zend_Json::encode(Zend_Registry::get('translate')->getSection('smb.controllers.web._shared')); ?>,
                returnUrl
            );
        });
    })
});
//]]>
</script>
